%define upstream_name 	 IPC-Shareable
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} perl module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Semaphore)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 0.607.0
BuildArch:  noarch

%description
IPC-Shareable allows you to tie a variable to shared memory making it easy to
share the contents of that variable with other Perl processes. Scalars, arrays,
and hashes can be tied. The variable being tied may contain arbitrarily complex
data structures including references to arrays, hashes of hashes, etc.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make 

%install
%makeinstall_std

%files
%doc CHANGES COPYING CREDITS DISCLAIMER MYMETA.yml README eg
%{perl_vendorlib}/IPC/*.pm
%{perl_vendorlib}/IPC/Shareable/*.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 368646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.610.0-1.mga3
+ Revision: 306137
- update to 0.61

* Thu Jan 20 2011 jquelin <jquelin> 0.600.0-1.mga1
+ Revision: 26422
- mageia rebuild
- imported package perl-IPC-Shareable

